
#include <stdio.h>
#include "ylib.h"

int indentation_level = 0;

void
indent()
{
  int i;

  for (i = 0; i < indentation_level; i ++)
	printf ("  ");
}

void
dump_window_tree(YWindow *window)
{
  YWindow **sub_windows;
  int num_subwindows;
  int i;

  /* print out some info about ourselves. */
  indent();
  printf ("(Window id=%d,\n", YGetWindowId(window));

  /* now print out our children */

  num_subwindows = YGetSubwindows(window, &sub_windows);

  if (num_subwindows)
	{
	  indent();
	  printf (" Children = \n");

	  indentation_level ++;
	  for (i = 0; i < num_subwindows; i ++)
		dump_window_tree(sub_windows[i]);
	  indentation_level --;

	  YReleaseSubwindows(window, sub_windows, num_subwindows);
	}

  indent();
  printf(")\n");
}

int
main(int argc,
	 char **argv)
{
  YDisplay *display = YOpenDisplay(NULL);
  YWindow *window = YRootWindowOfDisplay(display);

  dump_window_tree(window);

  return 0;
}
