/* -*- Mode: C; tab-width: 4 -*-
   yshm.h -- Shared memory operations that can be shared between client and microserver.
   Created: Chris Toshok <toshok@hungry.com>, 3-Jun-1997
 */

#ifndef _y_shm_h
#define _y_shm_h

#include "ytypes.h"

#define Y_SERVER_DIR "/tmp/Y/"
#define Y_SERVER_SOCK_PATH Y_SERVER_DIR "Ysock"
#define Y_SHM_CONTEXT_FILE Y_SERVER_DIR "context"
#define Y_CLIENT_SOCK_PATH Y_SERVER_DIR "c/%d"

extern YWindow_id YSHM_allocateSharedWindowInfo();

extern YSharedWindowInfo *YSHM_getSharedWindowInfo(YWindow_id id);
extern void YSHM_releaseSharedWindowInfo(YSharedWindowInfo* info);
extern void YSHM_destroySharedWindowInfo(YWindow_id id);

extern unsigned int YSHM_allocateSemaphore();
extern void YSHM_destroySemaphoreById(unsigned int semaphore_id);
extern int YSHM_lockSemaphore(unsigned int semaphore_id);
extern void YSHM_unlockSemaphore(unsigned int semaphore_id, unsigned int sem_fd);

extern void* YSHM_allocateSharedMemory(char *name, size_t size);
extern void* YSHM_allocateSharedMemoryById(int id, size_t size);

extern void* YSHM_getSharedMemory(char *name, size_t size);
extern void* YSHM_getSharedMemoryById(int id, size_t size);

extern void YSHM_releaseSharedMemory(void *addr,size_t size);

extern void YSHM_destroySharedMemory(char *name);
extern void YSHM_destroySharedMemoryById(int id);

extern void ensure_dir_exists(char *dir);

#endif /* _y_shm_h */
