/*--------------------------------------------------------------------------
  ----- File:        t1aaset.h
  ----- Author:      Rainer Menzner (rmz@neuroinformatik.ruhr-uni-bochum.de)
  ----- Date:        5/2/97
  ----- Description: This file is part of the t1-library. It contains
                     definitions and declarations for t1set.c.
  ----- Copyright:   This program is copyright (c) Rainer Menzner, 1996. 
                     Everyone is allowed to use the library and to make
		     changes to the source code, provided that the authors
		     name is left where it appears and that changes are
		     metioned in some notice. The library must be
		     distributed including sources, you are not allowed to
		     take money for this.
		     The parseAFM-package is copyrighted by Adobe Systems
		     Inc.
		     The type1 rasterizer is copyrighted by IBM and the
		     X11-consortium.
  ----- Warranties:  Of course, there's NO WARRANTY OF ANY KIND :-)
  ----- Credits:     I want to thank IBM and the X11-consortium for making
                     their rasterizer freely available.
		     Also thanks to Piet Tutelaers for his ps2pk, from
		     which I took the rasterizer sources in a format
		     independent from X11.
                     Thanks to all people who make free software living!
--------------------------------------------------------------------------*/
  
#ifdef T1AASET_C

GLYPH *T1_AASetChar( int FontID, unsigned char charcode, 
		     float size, float angle);
GLYPH *T1_AASetString( int FontID, unsigned char *string, int len,
		       long spaceoff, int kerning,
		       float size, float angle);
int T1_AASetGrayValues(unsigned long white,
		       unsigned long gray75,
		       unsigned long gray50,
		       unsigned long gray25,
		       unsigned long black);
int T1_AASetBitsPerPixel( int bpp);
extern struct region *fontfcnB( );
extern struct region *fontfcnB_string( );
/* static void fill(char *dest, int h, int w,
		 struct region *area, int byte, int bit,
		 int wordsize);
static void fillrun(char *p, pel x0, pel x1, int bit); */
extern void fill(char *dest, int h, int w,
 		 struct region *area, int byte, int bit,
	 	 int wordsize);
extern void fillrun(char *p, pel x0, pel x1, int bit); 

#else

extern GLYPH *T1_AASetChar( int FontID, unsigned char charcode, 
			    float size, float angle);
extern GLYPH *T1_AASetString( int FontID, unsigned char *string, int len,
			      long spaceoff, int kerning,
			      float size, float angle);
extern int T1_AASetGrayValues(unsigned long white,
			      unsigned long gray75,
			      unsigned long gray50,
			      unsigned long gray25,
			      unsigned long black);
extern int T1_AASetBitsPerPixel( int bpp);


#endif

