/*--------------------------------------------------------------------------
  ----- File:        t1base.h
  ----- Author:      Rainer Menzner (rmz@neuroinformatik.ruhr-uni-bochum.de)
  ----- Date:        11/22/97
  ----- Description: This file is part of the t1-library. It contains
                     declarations and definitions for t1base.c
  ----- Copyright:   This program is copyright (c) Rainer Menzner, 1996. 
                     Everyone is allowed to use the library and to make
		     changes to the source code, provided that the authors
		     name is left where it appears and that changes are
		     metioned in some notice. The library must be
		     distributed including sources, you are not allowed to
		     take money for this.
		     The parseAFM-package is copyrighted by Adobe Systems
		     Inc.
		     The type1 rasterizer is copyrighted by IBM and the
		     X11-consortium.
  ----- Warranties:  Of course, there's NO WARRANTY OF ANY KIND :-)
  ----- Credits:     I want to thank IBM and the X11-consortium for making
                     their rasterizer freely available.
		     Also thanks to Piet Tutelaers for his ps2pk, from
		     which I took the rasterizer sources in a format
		     independ from X11.
                     Thanks to all people who make free software living!
--------------------------------------------------------------------------*/
  
#ifdef T1BASE_C

void *T1_InitLib( int log);
int scanFontDBase( unsigned char *filename);
int T1_CloseLib( void);
void print_msg( unsigned char *func_ident, unsigned char *msg_txt);
void T1_PrintLog( unsigned char *func_ident, unsigned char *msg_txt, int level);
void T1_SetLogLevel( int level);
int CheckForInit(void);
int CheckForFontID( int FontID);
int test_for_t1_file( unsigned char *buffer );
unsigned char *T1_GetFontFileName( int FontID);
int  T1_Get_no_fonts(void);
int T1_SetDeviceResolutions( float x_res, float y_res);
int T1_CopyFont( int FontID);
int T1_QueryX11Support( void);
void bin_dump_c(unsigned char value);
void bin_dump_s(unsigned short value);
void bin_dump_l(unsigned long value);
int CheckEndian(void);
int T1_SetBitmapPad( int pad);
int T1_GetBitmapPad( void);

#else

extern void *T1_InitLib( int log);
extern int scanFontDBase( unsigned char *filename);
extern int T1_CloseLib( void);
extern void print_msg( unsigned char *func_ident, unsigned char *msg_txt);
extern void T1_PrintLog( unsigned char *func_ident, unsigned char *msg_txt, int level);
extern void T1_SetLogLevel( int level);
extern int CheckForInit(void);
extern int CheckForFontID( int FontID);
extern int test_for_t1_file( unsigned char *buffer );
extern unsigned char *T1_GetFontFileName( int FontID);
extern int  T1_Get_no_fonts(void);
extern int T1_SetDeviceResolutions( float x_res, float y_res);
extern int T1_QueryX11Support( void);
extern int T1_CopyFont( int FontID);
extern void bin_dump_c(unsigned char value);
extern void bin_dump_s(unsigned short value);
extern void bin_dump_l(unsigned long value);
extern int T1_SetBitmapPad( int pad);
extern int T1_GetBitmapPad( void);

#endif
