/*--------------------------------------------------------------------------
  ----- File:        t1finfo.h
  ----- Author:      Rainer Menzner (rmz@neuroinformatik.ruhr-uni-bochum.de)
  ----- Date:        11/07/97
  ----- Description: This file is part of the t1-library. It contains
                     declarations and definitions for t1finfo.c.
  ----- Copyright:   This program is copyright (c) Rainer Menzner, 1996. 
                     Everyone is allowed to use the library and to make
		     changes to the source code, provided that the authors
		     name is left where it appears and that changes are
		     metioned in some notice. The library must be
		     distributed including sources, you are not allowed to
		     take money for this.
		     The parseAFM-package is copyrighted by Adobe Systems
		     Inc.
		     The type1 rasterizer is copyrighted by IBM and the
		     X11-consortium.
  ----- Warranties:  Of course, there's NO WARRANTY OF ANY KIND :-)
  ----- Credits:     I want to thank IBM and the X11-consortium for making
                     their rasterizer freely available.
		     Also thanks to Piet Tutelaers for his ps2pk, from
		     which I took the rasterizer sources in a format
		     independent from X11.
                     Thanks to all people who make free software living!
--------------------------------------------------------------------------*/
  
#ifdef T1FINFO_C

int T1_GetKerning( int FontID, unsigned char char1, unsigned char char2);
int T1_GetCharWidth( int FontID, unsigned char char1);
BBox T1_GetCharBBox( int FontID, unsigned char char1);
float T1_GetUnderlinePosition( int FontID);
float T1_GetUnderlineThickness( int FontID);
unsigned char *T1_GetPostScriptName( int FontID);
unsigned char *T1_GetCharName( int FontID, unsigned char char1);
int T1_QueryLigs( int FontID,
		  unsigned char char1,
		  unsigned char **successors,
		  unsigned char **ligatures);
int T1_GetEncodingIndex( int FontID, unsigned char *char1);
int T1_GetStringWidth( int FontID, unsigned char *string,
		       int len,  long spaceoff,int kerning);
BBox T1_GetStringBBox( int FontID, unsigned char *string,
		       int len,  long spaceoff, int kerning);
METRICSINFO T1_GetMetricsInfo( int FontID, unsigned char *string,
			       int len,  long spaceoff, int kerning);
BBox T1_GetFontBBox( int FontID);
unsigned char **T1_GetAllCharNames( int FontID);

#else

extern int T1_GetKerning( int FontID, unsigned char char1,
			  unsigned char char2);
extern int T1_GetCharWidth( int FontID, unsigned char char1);
extern BBox T1_GetCharBBox( int FontID, unsigned char char1);
extern float T1_GetUnderlinePosition( int FontID);
extern float T1_GetUnderlineThickness( int FontID);
extern unsigned char *T1_GetPostScriptName( int FontID);
extern unsigned char *T1_GetCharName( int FontID, unsigned char char1);
extern int T1_QueryLigs( int FontID,
			 unsigned char char1,
			 unsigned char **successors,
			 unsigned char **ligatures);
extern int T1_GetEncodingIndex( int FontID, unsigned char *char1);
extern int T1_GetStringWidth( int FontID, unsigned char *string,
			      int len,  long spaceoff,int kerning);
extern BBox T1_GetStringBBox( int FontID, unsigned char *string,
			      int len,  long spaceoff, int kerning);
extern METRICSINFO T1_GetMetricsInfo( int FontID, unsigned char *string,
				      int len,  long spaceoff, int kerning);
extern BBox T1_GetFontBBox( int FontID);
extern unsigned char **T1_GetAllCharNames( int FontID);
     
#endif


