/*--------------------------------------------------------------------------
  ----- File:        t1set.h
  ----- Author:      Rainer Menzner (rmz@neuroinformatik.ruhr-uni-bochum.de)
  ----- Date:        11/21/97
  ----- Description: This file is part of the t1-library. It contains
                     definitions and declarations for t1set.c.
  ----- Copyright:   This program is copyright (c) Rainer Menzner, 1996. 
                     Everyone is allowed to use the library and to make
		     changes to the source code, provided that the authors
		     name is left where it appears and that changes are
		     metioned in some notice. The library must be
		     distributed including sources, you are not allowed to
		     take money for this.
		     The parseAFM-package is copyrighted by Adobe Systems
		     Inc.
		     The type1 rasterizer is copyrighted by IBM and the
		     X11-consortium.
  ----- Warranties:  Of course, there's NO WARRANTY OF ANY KIND :-)
  ----- Credits:     I want to thank IBM and the X11-consortium for making
                     their rasterizer freely available.
		     Also thanks to Piet Tutelaers for his ps2pk, from
		     which I took the rasterizer sources in a format
		     independent from X11.
                     Thanks to all people who make free software living!
--------------------------------------------------------------------------*/
  
#ifdef T1SET_C

GLYPH *T1_SetChar( int FontID, unsigned char charcode, 
		   float size, float angle);
GLYPH *T1_SetString( int FontID, unsigned char *string, int len,
		     long spaceoff, int kerning,
		     float size, float angle);
void fill(char *dest, int h, int w,
		 struct region *area, int byte, int bit,
		 int wordsize);
void fillrun(char *p, pel x0, pel x1, int bit);
GLYPH *T1_CopyGlyph(GLYPH *glyph);
void T1_DumpGlyph( GLYPH *glyph);

#else

extern GLYPH *T1_SetChar( int FontID, unsigned char charcode, 
			  float size, float angle);
extern GLYPH *T1_SetString( int FontID, unsigned char *string, int len,
			    long spaceoff, int kerning,
			    float size, float angle);
extern GLYPH *T1_CopyGlyph(GLYPH *glyph);
extern void T1_DumpGlyph( GLYPH *glyph);

#endif

extern struct region *fontfcnB( );
extern struct region *fontfcnB_string( );
