/*--------------------------------------------------------------------------
  ----- File:        t1x11.h
  ----- Author:      Rainer Menzner (rmz@neuroinformatik.ruhr-uni-bochum.de)
  ----- Date:        7/11/97
  ----- Description: This file is part of the t1-library. It contains
                     definitions and declarations for t1x11.c.
  ----- Copyright:   This program is copyright (c) Rainer Menzner, 1996. 
                     Everyone is allowed to use the library and to make
		     changes to the source code, provided that the authors
		     name is left where it appears and that changes are
		     metioned in some notice. The library must be
		     distributed including sources, you are not allowed to
		     take money for this.
		     The parseAFM-package is copyrighted by Adobe Systems
		     Inc.
		     The type1 rasterizer is copyrighted by IBM and the
		     X11-consortium.
  ----- Warranties:  Of course, there's NO WARRANTY OF ANY KIND :-)
  ----- Credits:     I want to thank IBM and the X11-consortium for making
                     their rasterizer freely available.
		     Also thanks to Piet Tutelaers for his ps2pk, from
		     which I took the rasterizer sources in a format
		     independent from X11.
                     Thanks to all people who make free software living!
--------------------------------------------------------------------------*/

#include <X11/Xlib.h>

#ifdef T1X11_C

int T1_SetX11Params( Display *display,
		     Visual *visual,
		     unsigned int depth,
		     Colormap colormap);
GLYPH *T1_SetCharX( Drawable d, GC gc, int mode, int x, int y,
		    int FontID, unsigned char charcode,
		    float size, float angle);
GLYPH *T1_SetStringX( Drawable d, GC gc, int mode, int x, int y,
		      int FontID, unsigned char *string, int len,
		      long spaceoff, int kerning,
		      float size, float angle);
GLYPH *T1_AASetCharX( Drawable d, GC gc, int mode, int x, int y,
		      int FontID, unsigned char charcode,
		      float size, float angle);
GLYPH *T1_AASetStringX( Drawable d, GC gc, int mode, int x, int y,
			int FontID, unsigned char *string, int len,
			long spaceoff, int kerning,
			float size, float angle);
int T1_ComputeAAColorsX( unsigned long fg,
			 unsigned long bg,
			 int nolevels);
int T1_GetDepthOfDrawable( Drawable drawable);
void T1_LogicalPositionX( int pos_switch);


#else

extern Display *T1_display;

extern int T1_SetX11Params( Display *display,
			    Visual *visual,
			    unsigned int depth,
			    Colormap colormap);
extern GLYPH *T1_SetCharX( Drawable d, GC gc, int mode, int x, int y,
			   int FontID, unsigned char charcode,
			   float size, float angle);
extern GLYPH *T1_SetStringX( Drawable d, GC gc, int mode, int x, int y,
			     int FontID, unsigned char *string, int len,
			     long spaceoff, int kerning,
			     float size, float angle);
extern GLYPH *T1_AASetCharX( Drawable d, GC gc, int mode, int x, int y,
			     int FontID, unsigned char charcode,
			     float size, float angle);
extern GLYPH *T1_AASetStringX( Drawable d, GC gc, int mode, int x, int y,
			       int FontID, unsigned char *string, int len,
			       long spaceoff, int kerning,
			       float size, float angle);
extern int T1_ComputeAAColorsX( unsigned long fg,
				unsigned long bg,
				int nolevels);
extern int T1_GetDepthOfDrawable( Drawable drawable);
extern void T1_LogicalPositionX( int pos_switch);


#endif
