/*--------------------------------------------------------------------------
  ----- File:        t1ylib.h
  ----- Author:	     Chris Toshok (toshok@hungry.com)... well, Rainer actually
		     wrote it.  I just searched and replaced :)
  ----- Copyright:   This program is copyright (c) Rainer Menzner, 1996. 
                     Everyone is allowed to use the library and to make
		     changes to the source code, provided that the authors
		     name is left where it appears and that changes are
		     metioned in some notice. The library must be
		     distributed including sources, you are not allowed to
		     take money for this.
		     The parseAFM-package is copyrighted by Adobe Systems
		     Inc.
		     The type1 rasterizer is copyrighted by IBM and the
		     X11-consortium.
  ----- Warranties:  Of course, there's NO WARRANTY OF ANY KIND :-)
  ----- Credits:     I want to thank IBM and the X11-consortium for making
                     their rasterizer freely available.
		     Also thanks to Piet Tutelaers for his ps2pk, from
		     which I took the rasterizer sources in a format
		     independent from X11.
                     Thanks to all people who make free software living!
--------------------------------------------------------------------------*/

#include "ylib.h"

#ifdef T1Y_C

int T1_SetYParams( YDisplay *display );

GLYPH *T1_SetCharY( YGC *gc, int mode, int x, int y,
		    int FontID, unsigned char charcode,
		    float size, float angle);
GLYPH *T1_SetStringY( YGC *gc, int mode, int x, int y,
		      int FontID, unsigned char *string, int len,
		      long spaceoff, int kerning,
		      float size, float angle);
GLYPH *T1_AASetCharY( YGC *gc, int mode, int x, int y,
		      int FontID, unsigned char charcode,
		      float size, float angle);
GLYPH *T1_AASetStringY( YGC *gc, int mode, int x, int y,
			int FontID, unsigned char *string, int len,
			long spaceoff, int kerning,
			float size, float angle);
int T1_ComputeAAColorsY( YColor fg,
			 YColor bg,
			 int nolevels);

#else

extern int T1_SetYParams( YDisplay *display );

extern GLYPH *T1_SetCharY( YGC *gc, int mode, int x, int y,
			   int FontID, unsigned char charcode,
			   float size, float angle);
extern GLYPH *T1_SetStringY( YGC *gc, int mode, int x, int y,
			     int FontID, unsigned char *string, int len,
			     long spaceoff, int kerning,
			     float size, float angle);
extern GLYPH *T1_AASetCharY( YGC *gc, int mode, int x, int y,
			     int FontID, unsigned char charcode,
			     float size, float angle);
extern GLYPH *T1_AASetStringY( YGC *gc, int mode, int x, int y,
			       int FontID, unsigned char *string, int len,
			       long spaceoff, int kerning,
			       float size, float angle);
extern int T1_ComputeAAColorsY( unsigned long fg,
				unsigned long bg,
				int nolevels);
#endif
