/* -*- Mode: C; tab-width: 4 -*-
   dihw.h -- device independent hardware routines.
   Created: Chris Toshok <toshok@hungry.com>, 14-Oct-1997.
 */

#ifndef _y_dihw_h
#define _y_dihw_h

#include "ytypes.h"
#include "hw.h"

extern void YDIHW_DrawRectangle(YHW *hw, YGC *gc, int32 x, int32 y,
								uint32 width, uint32 height);

extern void YDIHW_FillRectangle(YHW *hw, YGC *gc, int32 x, int32 y,
								uint32 width, uint32 height);

extern void YDIHW_DrawLine(YHW *hw, YGC *gc,
						   int32 x1, int32 y1, int32 x2, int32 y2);

extern void YDIHW_DrawBezier(YHW *hw, YGC *gc,
							 YPoint **points, int npoints);

extern void YDIHW_DrawPoints(YHW *hw, YGC *gc,
							 YPoint **points,
							 int npoints);

#endif /* _y_dihw_h */
