/* -*- Mode: C; tab-width: 4 -*-
   ycolor.c -- Y window system color foo.
   Created: Chris Toshok <toshok@hungry.com>, 17-Sep-1997
 */
/* 
   Copyright (C) 1996, 1997 The Hungry Programmers.
   
   This file is part of The Y Window System.
   
   Y is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the
   Free Software Foundation; either version 2, or (at your option) any
   later version.
   
   Y is distributed in the hope that it will be useful, but WITHOUT
   ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
   or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
   License for more details.
   
   You should have received a copy of the GNU General Public License
   along with GLD; see the file COPYING.  If not, write to the Free
   Software Foundation, 59 Temple Place - Suite 330, Boston, MA
   02111-1307 , USA.
*/

#include "ylib_p.h"

/* colors are layed out as:
    8bits    8bits    8bits    8bits
   RRRRRRRR GGGGGGGG BBBBBBBB AAAAAAAA
*/

YColor
YGetColorRGB(uint8 red,
			 uint8 green,
			 uint8 blue)
{
  YColor new_color = 0;

  new_color |= red;
  new_color <<= 8;
  new_color |= green;
  new_color <<= 8;
  new_color |= blue;
  new_color <<= 8;

  return new_color;
}

YColor
YGetColorHSV(float h,
			 float s,
			 float v)
{
  return 0;
}

YColor
YGetColorHLS(float h,
			 float l,
			 float s)
{
  return 0;
}

YColor
YGetColorCMYK(float c,
			  float m,
			  float y,
			  float k)
{
  return 0;
}

YColor
YColorSetAlpha(YColor color,
			   uint8 alpha)
{
  color &= 0xffffff00;

  color |= alpha;

  return color;
}

void
YColorGetRGB(YColor color,
			 uint8 *red,
			 uint8 *green,
			 uint8 *blue)
{
}

void
YColorGetHSV(YColor color,
			 float *h,
			 float *s,
			 float *v)
{
}

void
YColorGetHLS(YColor color,
			 float *h,
			 float *l,
			 float *s)
{
}

void
YColorGetCMYK(YColor color,
			  float *c,
			  float *m,
			  float *y,
			  float *k)
{
}

void
YColorGetAlpha(YColor color,
			   uint8 *alpha)
{
  YColor alpha_only = color & 0x000000ff;
  
  if (alpha)
	*alpha = (uint8)alpha_only;
}
