#include <stdio.h>
#include <stdlib.h>
#include "ylib.h"

YDisplay *display;
YWindow *window;
YGC *gc;
YColor color;
YColor bg_color;

int do_random = 0;

void
bounce()
{
  YPoint p1;
  YPoint p2;
  YRect bounds;
  int i;

  /* we actually represent deltas as points */
  YPoint direction_1;
  YPoint direction_2;

  bounds.left = 0;
  bounds.right = 1500;
  bounds.top = 0;
  bounds.bottom = 500;

  p1.x = 10 + bounds.left;
  p1.y = 10 + bounds.top;
  p2.x = 50 + bounds.left;
  p2.y = 50 + bounds.top;

  direction_1.x = -7;
  direction_1.y = -8;
  direction_2.x = 7;
  direction_2.y = -7;

  YSetForeground(gc, color);

  bg_color = YGetColorRGB(0,0,0);

  i = 0;

  while (1)
	{
	  if (do_random)
		YSetForeground(gc, YGetColorRGB(rand() * 255,
						rand() * 255,
						rand() * 255));
	  else
		YSetForeground(gc, color);

	  YDrawLine(gc, &p1, &p2);
	  p1.x += direction_1.x;
	  if (p1.x < bounds.left || p1.x > bounds.right)
		direction_1.x *= -1;

	  p1.y += direction_1.y;
	  if (p1.y < bounds.top || p1.y > bounds.bottom)
		direction_1.y *= -1;

	  p2.x += direction_2.x;
	  if (p2.x < bounds.left || p2.x > bounds.right)
		direction_2.x *= -1;

	  p2.y += direction_2.y;
	  if (p2.y < bounds.top || p2.y > bounds.bottom)
		direction_2.y *= -1;

#if 0
	  i++;

	  if (i % 3 == 0)
		continue;

	  if (i == 301)
		{
		  YPoint src_loc, dest_loc;
		  YRect size;

		  printf ("copying.\n");

		  src_loc.x = 250;
		  src_loc.y = 0;
		  
		  dest_loc.x = 0;
		  dest_loc.y = 0;

		  size.right = 250;
		  size.bottom = 500;
		  size.left = size.top = 0;
		  
		  YWinBlit(gc, window, window, &src_loc, &dest_loc, &size);

		  i = 0;
		}
#endif
	}
}

int
main(int argc,
	 char **argv)
{
  int x, y;
  display = YOpenDisplay(NULL);

  if (argc < 2)
	do_random = 1;
  else if (!strcmp(argv[1], "white"))
	color = YGetColorRGB(255, 255, 255);
  else if (!strcmp(argv[1], "black"))
	color = YGetColorRGB(0, 0, 0);
  else if (!strcmp(argv[1], "blue"))
	color = YGetColorRGB(0, 0, 255);

  if (argc > 2)
	{
	  x = atoi(argv[2]);
	  y = atoi(argv[3]);
	}
  else
	{
	  x = 100;
	  y = 100;
	}

  window = YCreateWindow(display, YRootWindowOfDisplay(display),
						 x, y, 1500, 500, 0);

  YMapWindow(window);

  gc = YGetGC(window);

  {
    /*YFont *font = YLoadFont(display, "Test Font Renderer:foo"); */

    YFont *font = YLoadFont(display, "Type1 Font Renderer:foo");


	if (font == NULL)
	  {
	    fprintf (stderr, "couldn't load font.\n");
	  }
	else
	  {
	    YPoint where;

	    where.x = 10;
	    where.y = 120;

	    YSetFont(gc, font);
	    YSetForeground(gc, YGetColorRGB(255, 255, 255));
	
	    YDrawAsciiText(gc, &where, "Hello World");
	  }
  }

  bounce();

  return 0;
}
